Get all sponsor details
curl --request GET \
--url https://api.zuddl.com/v1/events/{eventId}/sponsors \
--header 'Authorization: <api-key>'import requests
url = "https://api.zuddl.com/v1/events/{eventId}/sponsors"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zuddl.com/v1/events/{eventId}/sponsors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"next": "/{apiEndpoint}?page=3",
"current": "/{apiEndpoint}?page=2",
"previous": "/{apiEndpoint}?page=1"
},
"data": [
{
"kind": "<string>",
"url": "<string>",
"id": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d",
"name": "Acme Corp",
"title": "Acme's sponsorship",
"description": "<p>Acme Corp is a <strong>leading</strong> provider of...</p>",
"websiteUrl": "https://acme.com",
"logoUrl": "https://example.com/sponsors/acme_logo.png",
"email": "sponsorship@acme.com",
"coverImageUrl": "https://example.com/sponsors/acme_cover.png",
"tier": {
"tierId": "tier-gold",
"tierName": "Gold"
},
"booth": {
"boothId": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c4f",
"boothName": "Acme Booth"
}
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}Sponsors
Get all sponsor details
Use this endpoint to retrieve the details of all sponsors added to a particular event type in your Zuddl organization. You can use query parameters such as filter, pagination, or sort to customize.
Required API key scopes: READ
GET
/
v1
/
events
/
{eventId}
/
sponsors
Get all sponsor details
Authorizations
Provide your API key secret in the Authorization header
Path Parameters
Event ID
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Query Parameters
Sort query in format:
The following fields are sortable:
- name
- title
Page number (default: 1)
Page size (default: 10, max: 50)
Was this page helpful?
⌘I